using Utility.CustomizeTimeLogic.FxLogic.TimeLineEvent;
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class CameraShakingLogic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
        }

        protected override void ProEnter()
        {
            CameraShakingSerializtion cameraShakingSerializtion = timeLineAssetSerialization as CameraShakingSerializtion;
            ICameraShaking cameraShaking = TimeLineSingletonEventManager.Instance.GetTimeLine<ICameraShaking>();
            if (cameraShaking != null)
            {
                cameraShaking.Shaking(cameraShakingSerializtion);
            }
        }

        protected override void ProLeave()
        {
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}